Skip to content

Report v2 ​

12 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getTabByIdGETGet all cards in a tab
getAllTabsGETGet report all tabs
getCardsInfoPOSTGet cards info
recordTabNetworkReportPUTReorder the tab
addTabNetworkReportPOSTAdd new tab
updateTabNetworkReportPUTUpdate tab
deleteTabNetworkReportDELETEBatch delete tabs
exportNowLocalPOSTExport report now
exportLaterEmailV2POSTExport report once later
exportNowEmailV2POSTExport report now for email
getScheduleTimeInfoV2GETGet schedule time info
emailReportScheduleV2POSTExport report for scheduler

getTabById ​

GET /openapi/v1/{omadacId}/sites/{siteId}/report/{tabId}

Get all cards in a tab

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
tabIdpathstringyestab ID
json
// omada_call_operation
{
  "operationId": "getTabById",
  "params": {
    "siteId": "<siteId>",
    "tabId": "<tabId>"
  }
}
Details, permissions and error codes

Get all cards in a tab
The interface requires one of the permissions:
Site Network Report Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30212 - Unable to get the tab module information. Please try again later.

getAllTabs ​

GET /openapi/v1/{omadacId}/sites/{siteId}/report/allTabs

Get report all tabs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getAllTabs",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get report all tabs
The interface requires one of the permissions:
Site Network Report Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30212 - Unable to get the tab module information. Please try again later.

getCardsInfo ​

POST /openapi/v1/{omadacId}/sites/{siteId}/report/cards

**Get cards info **

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ReportCardQueryVO

FieldTypeRequiredDescription
omadacIdstringnoomadacId
siteIdstringnosite id
startintegernostart time, unit: seconds
endintegernoend time, unit: seconds
cardsarray<TabCardVO>nocard info
requestTokenstringno
tokenstringno
json
// omada_call_operation
{
  "operationId": "getCardsInfo",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get cards info by card names
The interface requires one of the permissions:
Site Network Report Manager View Only
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30212 - Unable to get the tab module information. Please try again later.

recordTabNetworkReport ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/report/reorder

**Reorder the tab **

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required)

Type: array&lt;ReportTab&gt;

json
// omada_call_operation
{
  "operationId": "recordTabNetworkReport",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Reorder the tab
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30207 - Editing failed. Please try again later.

addTabNetworkReport ​

POST /openapi/v1/{omadacId}/sites/{siteId}/report/tab

**Add new tab **

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ReportTab

FieldTypeRequiredDescription
tabIdstringnotab id
namestringnotab name
cardsarray<string>nolist of cards in tab
cardGroupListarray<CardGroupVO>nolist of card group
typeintegernotab type, default 0, customize 1
statusintegernotab status, 0: disable, 1: enable
rankintegernotab rank
defaultKeystringnodefaultKey
defaultTabstringnodefaultTab
cancelCardsarray<string>nocards be cancelled
json
// omada_call_operation
{
  "operationId": "addTabNetworkReport",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Add a new tab by user
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30206 - Adding failed. Please try again later.

updateTabNetworkReport ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/report/tab

Update tab

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ReportTab

FieldTypeRequiredDescription
tabIdstringnotab id
namestringnotab name
cardsarray<string>nolist of cards in tab
cardGroupListarray<CardGroupVO>nolist of card group
typeintegernotab type, default 0, customize 1
statusintegernotab status, 0: disable, 1: enable
rankintegernotab rank
defaultKeystringnodefaultKey
defaultTabstringnodefaultTab
cancelCardsarray<string>nocards be cancelled
json
// omada_call_operation
{
  "operationId": "updateTabNetworkReport",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Update the tab config
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30207 - Editing failed. Please try again later.

deleteTabNetworkReport ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/report/tab/{tabIds}

Batch delete tabs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
tabIdspathstringyestab ID list
json
// omada_call_operation
{
  "operationId": "deleteTabNetworkReport",
  "params": {
    "siteId": "<siteId>",
    "tabIds": "<tabIds>"
  }
}
Details, permissions and error codes

Batch delete the tabs by id list
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30211 - Deleting failed. Please try again later.

exportNowLocal ​

POST /openapi/v2/{omadacId}/files/sites/{siteId}/report/export-now-local

Export report now

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (optional) — schema ReportExportV2

FieldTypeRequiredDescription
startintegeryesThe report start time
endintegeryesThe report end time
reportNamestringyesThe report name
reportTypeintegeryesThe report type. 0 : pdf, 1 : csv.
tabIdListarray<string>yesThe tab need to export
emailListarray<string>noThe email list to send report
json
// omada_call_operation
{
  "operationId": "exportNowLocal",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Export report
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

exportLaterEmailV2 ​

POST /openapi/v2/{omadacId}/sites/{siteId}/report/export-later-email

Export report once later

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema NetworkReportScheduleLaterVO

FieldTypeRequiredDescription
enablebooleanyes
tabintegerno
tabIdListarray<string>no
cardsstringno
reportNamestringno
reportTypeintegerno
emailListarray<string>no
minuteintegerno
hourintegerno
timeintegerno
startintegerno
endintegerno
json
// omada_call_operation
{
  "operationId": "exportLaterEmailV2",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Export report once later
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

exportNowEmailV2 ​

POST /openapi/v2/{omadacId}/sites/{siteId}/report/export-now-email

Export report now for email

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ReportExportV2

FieldTypeRequiredDescription
startintegeryesThe report start time
endintegeryesThe report end time
reportNamestringyesThe report name
reportTypeintegeryesThe report type. 0 : pdf, 1 : csv.
tabIdListarray<string>yesThe tab need to export
emailListarray<string>noThe email list to send report
json
// omada_call_operation
{
  "operationId": "exportNowEmailV2",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Export report now for email
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getScheduleTimeInfoV2 ​

GET /openapi/v2/{omadacId}/sites/{siteId}/report/export-schedule-email

Get schedule time info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getScheduleTimeInfoV2",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get schedule time info
The interface requires one of the permissions:
Site Network Report Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

emailReportScheduleV2 ​

POST /openapi/v2/{omadacId}/sites/{siteId}/report/export-schedule-email

Export report for scheduler

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema NetworkReportScheduleVO

FieldTypeRequiredDescription
enablebooleanyes
tabintegerno
tabIdListarray<string>no
reportNamestringno
reportTypeintegerno
emailListarray<string>no
timeintegerno
cardsstringno
timingTypeintegerno
hourintegerno
minuteintegerno
dayOfWeekintegerno
dayOfMonthintegerno
monthOfYearintegerno
json
// omada_call_operation
{
  "operationId": "emailReportScheduleV2",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Export report for scheduler
The interface requires one of the permissions:
Site Network Report Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.